<template>
    <new-black-theme-m-header-title v-if="allowTheme" :title="$t('referral')" />
    <div v-if="isReferralV2Enabled">
        <el-tabs v-model="activeName" class="referral-tabs">
            <el-tab-pane v-for="tab in referralTabs" :key="tab.link" :name="tab.link">
                <template #label>
                    <nuxt-link :to="tab.link" class="py-4 relative">
                        <span class="mobile-link capitalize">{{ $t(tab.label) }}</span>
                    </nuxt-link>
                </template>
            </el-tab-pane>
        </el-tabs>
        <el-scrollbar class="referral-v2-scroll">
            <div class="referral-content" style="z-index: 2;">
                <nuxt-page />
            </div>
        </el-scrollbar>
    </div>
    <div v-else class="h-screen pb-[125px] flex items-center justify-center">
        <div class="flex justify-center flex-col h-full">
            <svg xmlns="http://www.w3.org/2000/svg"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                style="isolation:isolate;margin: -15px auto 0;height: 150px;" viewBox="317.286 -217 248 354"
                width="200" height="354"><g>
                <path d="M 354.586 -43 L 549.986 -43 C 558.43 -43 565.286
                -36.144 565.286 -27.7 L 565.286 121.7 C 565.286 130.144
                558.43 137 549.986 137 L 354.586 137 C 346.141 137 339.286
                130.144 339.286 121.7L 339.286 -27.7 C 339.286 -36.144 346.141 -43 354.586 -43 Z"
                style="stroke:none;fill:var(--secondary);stroke-miterlimit:10;"/>
                <g transform="matrix(-1,0,0,-1,543.786,70)">
                <text transform="matrix(1,0,0,1,0,234)"
                style="font-family:'Quicksand';font-weight:700;font-size:234px;font-style:normal;fill:#4a4444;stroke:none;">U</text></g>
                <g transform="matrix(-1,0,0,-1,530.786,65)"><text transform="matrix(1,0,0,1,0,234)"
                style="font-family:'Quicksand';font-weight:700;font-size:234px;font-style:normal;fill:#8e8383;stroke:none;">U</text></g>
                <path d="M 343.586 -52 L 538.986 -52 C 547.43 -52 554.286 -45.144 554.286 -36.7
                L 554.286 112.7 C 554.286 121.144 547.43 128 538.986 128 L 343.586 128 C 335.141 128 328.286 121.144 328.286 112.7 L 328.286 -36.7 C 328.286 -45.144 335.141 -52 343.586 -52 Z"
                style="stroke:none;fill:var(--primary);stroke-miterlimit:10;"/><g>
                <circle vector-effect="non-scaling-stroke" cx="441.28571428571433"
                cy="63.46153846153848" r="10.461538461538453" fill="rgb(0,0,0)"/><rect x="436.055" y="66.538" width="10.462" height="34.462"
                transform="matrix(1,0,0,1,0,0)" fill="rgb(0,0,0)"/></g></g>
            </svg>
            <div class="mt-4 text-xl font-bold">{{ $t('you_are_not_authorized') }}</div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { useReferralV2 } from '~~/composables/referralv2/useReferralV2';
import { store } from '~~/store';
const route = useRoute();
const { referralTabs, activeName, setDisplayLocalTimeState } = useReferralV2();
const { isReferralV2Enabled } = useHeaderComponent();

onBeforeMount(() => {
    setDisplayLocalTimeState();
});
const arrayTheme = ["main", "black", "sbo", 'global', 'playful'];
const allowTheme = computed(() => arrayTheme.includes(store.state.selectedThemeName)
);
</script>


<style scoped lang="scss">

.referral-v2-scroll > :deep(.el-scrollbar__wrap) {
    height: calc(100vh - 167px);
}
[layout="china"] .referral-content{
    // for china theme, --text5 blends to the background,
    // so we're setting it to --text for better visibilty
    --text5: var(--text);
}
.referral-v2-scroll {
    background: var(--background2);
}
[theme-color="main_lightblue"] .referral-v2-scroll,
[theme-color="main_sbo"] .referral-v2-scroll  {
    --text5: var(--text);
}
.referral-tabs  {
    background: var(--background1);
}
.referral-content :deep(.el-button.action-button-primary) {
    background: var(--primary);
    color: var(--textBtn);
}

@media only screen and (max-width: 451px) {

    // this media query helps with general information tab misalignment with smaller screens
    .referral-tabs a {
        white-space: pre-wrap;
        word-wrap: break-word;
        word-break: break-word;
        white-space: normal;
        display: flex;
        text-align: center;
        height: unset !important;
        max-width: 80px;
    }

    .referral-tabs :deep(.el-tabs__item) {
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    .referral-tabs :deep(.el-tabs__item:nth-child(2)) {
        transform: translateY(-7px);
    }
}

.referral-content {
    padding: 24px;
}

[layout="playful"][data-device="mobile"] {
    .referral-content {
        padding: 8px;
    }
    .referral-tabs :deep(.el-tabs__nav-scroll) {
        padding-left: 8px;
        padding-right: 8px;
    }
}

@media screen and (max-width: 639px) {
    .referral-content {
        padding: 16px;
    }

    .referral-tabs :deep(.el-tabs__item) {
        width: calc(100% / 3);
        padding: 0;
        text-align: center;
    }

    .referral-tabs :deep(.el-tabs__item > a) {
        justify-content: center;
        font-size: 12px;
        font-weight: 500;
        line-height: 14.06px;
        color: var(--text);
    }

    .referral-tabs :deep(.el-tabs__item .router-link-active) {
        color: var(--primary);
    }

    .referral-tabs :deep(.el-tabs__nav-wrap.is-top) {
        padding: 0;
    }

    .referral-tabs :deep(.el-tabs__nav) {
        width: 100%;
    }
}
</style>